//  this is a test example by sawyer
#include "aes.h"
#include "sha1.h"
#include "sha256.h"
#include "des.h"
#include "ccm.h"
#include "cmac.h"
#include "bignum.h"
#include "ecp.h"
#include "ecdh.h"
#include "hmac_drbg.h"
#include "ecdsa.h"
#include "eccderkeyparse.h"
#include "rsa.h"

/*******************************************************************************
* Code
******************************************************************************/

/*!
* @brief Main function
*/
int main(void)
{
		printf("crypto test begin...\r\n");
		mbedtls_aes_self_test(1);
		mbedtls_ccm_self_test(1);
		mbedtls_cmac_self_test(1);
		mbedtls_cmac_self_test(1);
		mbedtls_ecdh_self_test(1);
		mbedtls_ecdsa_self_test(1);
		mbedtls_ecp_self_test(1);
		mbedtls_hmac_drbg_self_test(1);
		mbedtls_md_self_test(1);
		mbedtls_sha1_self_test(1);
		mbedtls_sha256_self_test(1);
		mbedtls_eccderkeyparse_self_test(1);
		mbedtls_rsa_self_test(1);
		printf("crypto test end...\r\n");
		return 0;
}
